Subject: Re: pull-request: wireless-drivers-2020-11-23

From: Kalle Valo <[email-masked]>
Date: Tue, 24 Nov 2020 09:15:45 +0200

Jakub Kicinski <[email-masked]> writes:

> On Mon, 23 Nov 2020 16:10:37 +0000 (UTC) Kalle Valo wrote:
>> wireless-drivers fixes for v5.10
>> 
>> First set of fixes for v5.10. One fix for iwlwifi kernel panic, others
>> less notable.
>> 
>> rtw88
>> 
>> * fix a bogus test found by clang
>> 
>> iwlwifi
>> 
>> * fix long memory reads causing soft lockup warnings
>> 
>> * fix kernel panic during Channel Switch Announcement (CSA)
>> 
>> * other smaller fixes
>> 
>> MAINTAINERS
>> 
>> * email address updates
>
> Pulled, thanks!
>
> Please watch out for missing sign-offs.

I assume you refer to commit 97cc16943f23, sorry about that. Currently
I'm just manually checking sign-offs and missed this patch. My plan is
to implement proper checks to my patchwork script so I'll notice these
before I commit the patch (or pull request), just have not yet find the
time to do that.

commit 97cc16943f23078535fdbce4f6391b948b4ccc08
Author:     Avraham Stern <[email-masked]>
AuthorDate: Sat Nov 7 10:50:09 2020 +0200
Commit:     Kalle Valo <[email-masked]>
CommitDate: Tue Nov 10 20:45:34 2020 +0200

    iwlwifi: mvm: write queue_sync_state only for sync
    
    We use mvm->queue_sync_state to wait for synchronous queue sync
    messages, but if an async one happens inbetween we shouldn't
    clear mvm->queue_sync_state after sending the async one, that
    can run concurrently (at least from the CPU POV) with another
    synchronous queue sync.
    
    Signed-off-by: Johannes Berg <[email-masked]>
    Fixes: 3c514bf831ac ("iwlwifi: mvm: add a loose synchronization of the NSSN across Rx queues")
    Signed-off-by: Luca Coelho <[email-masked]>
    Signed-off-by: Kalle Valo <[email-masked]>
    Link: https://lore.kernel.org/r/iwlwifi.20201107104557.51a3148f2c14.I0772171dbaec87433a11513e9586d98b5d920b5f@changeid

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches